jQuery(document).ready(function() {	

	var oResumen  = $('#resumen').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"ip<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Resumen por localización Jerárquica.pdf",
					"sTitle": "Monitor Web - Resumen por localización Jerárquica"
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Resumen por localización Jerárquica.xls",
					"sTitle": "Monitor Web - Resumen por localización Jerárquica"
                }
            ]
        }
	});
 
	$("#filtrarBtn_resumen").click(function()
	{
		var retValue = true;
		var ultimo_nivel = document.getElementById('ultimo_nivel').value;
		
		if(ultimo_nivel == 2)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(ultimo_nivel == 3)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#distritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#distritos_form").addClass('has-error');
				retValue = false;
			}
			
			if($('#zonas').val())
			{
				$("#zonas_label" ).html( "Zonas" ).removeClass('error');
				$("#zonas_form").removeClass('has-error');
			}
			else
			{
				$("#zonas_label").html( "Zonas - Campo Obligatorio." ).addClass('error');
				$("#zonas_form").addClass('has-error');
				retValue = false;
			}
		}

		
		if(!retValue)
			return false;
		
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;	
		
		var seleccionado_operadores_moviles = [];
		$('#operadores_moviles option:selected').each(function() {
			seleccionado_operadores_moviles.push($(this).attr('value'));
		});
		var operadores_moviles = JSON.stringify(seleccionado_operadores_moviles);
	
		
		if(ultimo_nivel == 1)
		{
			var seleccionado = [];
			$('#sucursales option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas = JSON.stringify(seleccionado);

		}
		else if(ultimo_nivel == 2)
		{
			var seleccionado = [];
			$('#distritos option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas = JSON.stringify(seleccionado);
		}
		else
		{
			var seleccionado = [];
			$('#zonas option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas =JSON.stringify(seleccionado);	
		}		
		
		oResumen.fnReloadAjax('Modules/resumen_por_localizaciones_jerarquicas/libreria_general.php?case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&localizaciones_jerarquicas='+localizaciones_jerarquicas
																		+'&operadores_moviles='+operadores_moviles
																		+'&ultimo_nivel='+ultimo_nivel);

	});
});

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	var $select_distritos = $('#distritos');
	var $select_zonas = $('#zonas');  
	
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var sucursales = JSON.stringify(seleccionado);		
	
	//request the JSON data and parse into the select element
	$.getJSON('Modules/resumen_por_localizaciones_jerarquicas/libreria_general.php?case=1&sucursales='+sucursales, function(data){
 
	  //eliminamos todos los 
	  $select_distritos.html('');
	  $select_zonas.html('');
 
	  //iteramos sobre cada elemento sucursal del json.
	  $.each(data, function(key, val){ 
		$select_distritos.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
	  })
	});
}

function zonas()
{	
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#distritos option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var distritos = JSON.stringify(seleccionado);		
	
	//request the JSON data and parse into the select element
	$.getJSON('Modules/resumen_por_localizaciones_jerarquicas/libreria_general.php?case=2&distritos='+distritos, function(data){
 
	  //eliminamos todos los 
	  $select_zonas.html('');
 
	  //iteramos sobre cada elemento sucursal del json.
	  $.each(data, function(key, val){ 
		$select_zonas.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
	  })
	});
}

function test()
{
			var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;	
		
		var seleccionado_operadores_moviles = [];
		$('#operadores_moviles option:selected').each(function() {
			seleccionado_operadores_moviles.push($(this).attr('value'));
		});
		var operadores_moviles = JSON.stringify(seleccionado_operadores_moviles);
	
		var ultimo_nivel = document.getElementById('ultimo_nivel').value;
		if(ultimo_nivel == 1)
		{
			var seleccionado = [];
			$('#sucursales option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas = JSON.stringify(seleccionado);

		}
		else if(ultimo_nivel == 2)
		{
			var seleccionado = [];
			$('#distritos option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas = JSON.stringify(seleccionado);
		}
		else
		{
			var seleccionado = [];
			$('#zonas option:selected').each(function() {
				seleccionado.push($(this).attr('value'));
			});
			var localizaciones_jerarquicas =JSON.stringify(seleccionado);	
		}		
	
	ajax=ajaxs();
	ajax.open('POST', 'Modules/resumen_por_localizaciones_jerarquicas/libreria_general.php',true);
	ajax.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	ajax.send('case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&localizaciones_jerarquicas='+localizaciones_jerarquicas
																		+'&operadores_moviles='+operadores_moviles
																		+'&ultimo_nivel='+ultimo_nivel);
	ajax.onreadystatechange=function() 
	{
		if (ajax.readyState==4) 
		{			
			if(ajax.responseText)
			{
				window.location='login.php';
			}else{
				alert(ajax.responseText);
			}
		}		
	}
}